Index: /trunk/BIOS_Drive_Information_Tool/Src/Print.asm
===================================================================
--- /trunk/BIOS_Drive_Information_Tool/Src/Print.asm	(revision 375)
+++ /trunk/BIOS_Drive_Information_Tool/Src/Print.asm	(revision 376)
@@ -2,4 +2,19 @@
 ; Description	:	Functions to print information read from BIOS.
 
+;
+; XTIDE Universal BIOS and Associated Tools 
+; Copyright (C) 2009-2010 by Tomi Tilli, 2011-2012 by XTIDE Universal BIOS Team.
+;
+; This program is free software; you can redistribute it and/or modify
+; it under the terms of the GNU General Public License as published by
+; the Free Software Foundation; either version 2 of the License, or
+; (at your option) any later version.
+; 
+; This program is distributed in the hope that it will be useful,
+; but WITHOUT ANY WARRANTY; without even the implied warranty of
+; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+; GNU General Public License for more details.		
+; Visit http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
+;				
 
 ; Section containing code
Index: /trunk/BIOS_Drive_Information_Tool/Src/Strings.asm
===================================================================
--- /trunk/BIOS_Drive_Information_Tool/Src/Strings.asm	(revision 375)
+++ /trunk/BIOS_Drive_Information_Tool/Src/Strings.asm	(revision 376)
@@ -2,5 +2,20 @@
 ; Description	:	Strings used in this program.
 
-
+;
+; XTIDE Universal BIOS and Associated Tools 
+; Copyright (C) 2009-2010 by Tomi Tilli, 2011-2012 by XTIDE Universal BIOS Team.
+;
+; This program is free software; you can redistribute it and/or modify
+; it under the terms of the GNU General Public License as published by
+; the Free Software Foundation; either version 2 of the License, or
+; (at your option) any later version.
+; 
+; This program is distributed in the hope that it will be useful,
+; but WITHOUT ANY WARRANTY; without even the implied warranty of
+; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+; GNU General Public License for more details.		
+; Visit http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
+;
+		
 ; Section containing initialized data
 SECTION .data
Index: /trunk/Serial_Server/library/Checksum.cpp
===================================================================
--- /trunk/Serial_Server/library/Checksum.cpp	(revision 375)
+++ /trunk/Serial_Server/library/Checksum.cpp	(revision 376)
@@ -4,4 +4,21 @@
 //
 // File:        checksum.cpp - Checksum function and test routines
+
+//
+// XTIDE Universal BIOS and Associated Tools 
+// Copyright (C) 2009-2010 by Tomi Tilli, 2011-2012 by XTIDE Universal BIOS Team.
+//
+// This program is free software; you can redistribute it and/or modify
+// it under the terms of the GNU General Public License as published by
+// the Free Software Foundation; either version 2 of the License, or
+// (at your option) any later version.
+// 
+// This program is distributed in the hope that it will be useful,
+// but WITHOUT ANY WARRANTY; without even the implied warranty of
+// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+// GNU General Public License for more details.		
+// Visit http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
+//
+
 //
 // This file implements Fletcher's Checksum.  The serial code uses this checksum, as it is very quick 
Index: /trunk/Serial_Server/library/File.h
===================================================================
--- /trunk/Serial_Server/library/File.h	(revision 375)
+++ /trunk/Serial_Server/library/File.h	(revision 376)
@@ -12,4 +12,20 @@
 // win32/win32file.h which may be in use instead.
 // 
+
+//
+// XTIDE Universal BIOS and Associated Tools 
+// Copyright (C) 2009-2010 by Tomi Tilli, 2011-2012 by XTIDE Universal BIOS Team.
+//
+// This program is free software; you can redistribute it and/or modify
+// it under the terms of the GNU General Public License as published by
+// the Free Software Foundation; either version 2 of the License, or
+// (at your option) any later version.
+// 
+// This program is distributed in the hope that it will be useful,
+// but WITHOUT ANY WARRANTY; without even the implied warranty of
+// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+// GNU General Public License for more details.		
+// Visit http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
+//
 
 #include <stdio.h>
Index: /trunk/Serial_Server/library/FlatImage.h
===================================================================
--- /trunk/Serial_Server/library/FlatImage.h	(revision 375)
+++ /trunk/Serial_Server/library/FlatImage.h	(revision 376)
@@ -4,4 +4,20 @@
 //
 // File:        FlatImage.h - Header file for basic flat disk image support
+//
+
+//
+// XTIDE Universal BIOS and Associated Tools 
+// Copyright (C) 2009-2010 by Tomi Tilli, 2011-2012 by XTIDE Universal BIOS Team.
+//
+// This program is free software; you can redistribute it and/or modify
+// it under the terms of the GNU General Public License as published by
+// the Free Software Foundation; either version 2 of the License, or
+// (at your option) any later version.
+// 
+// This program is distributed in the hope that it will be useful,
+// but WITHOUT ANY WARRANTY; without even the implied warranty of
+// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+// GNU General Public License for more details.		
+// Visit http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
 //
 
Index: /trunk/Serial_Server/library/Image.cpp
===================================================================
--- /trunk/Serial_Server/library/Image.cpp	(revision 375)
+++ /trunk/Serial_Server/library/Image.cpp	(revision 376)
@@ -4,4 +4,20 @@
 //
 // File:        image.cpp - Abstract base class for disk image support
+//
+
+//
+// XTIDE Universal BIOS and Associated Tools 
+// Copyright (C) 2009-2010 by Tomi Tilli, 2011-2012 by XTIDE Universal BIOS Team.
+//
+// This program is free software; you can redistribute it and/or modify
+// it under the terms of the GNU General Public License as published by
+// the Free Software Foundation; either version 2 of the License, or
+// (at your option) any later version.
+// 
+// This program is distributed in the hope that it will be useful,
+// but WITHOUT ANY WARRANTY; without even the implied warranty of
+// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+// GNU General Public License for more details.		
+// Visit http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
 //
 
Index: /trunk/Serial_Server/library/Library.h
===================================================================
--- /trunk/Serial_Server/library/Library.h	(revision 375)
+++ /trunk/Serial_Server/library/Library.h	(revision 376)
@@ -4,4 +4,20 @@
 //
 // File:        library.h - Include file for users of the library
+//
+
+//
+// XTIDE Universal BIOS and Associated Tools 
+// Copyright (C) 2009-2010 by Tomi Tilli, 2011-2012 by XTIDE Universal BIOS Team.
+//
+// This program is free software; you can redistribute it and/or modify
+// it under the terms of the GNU General Public License as published by
+// the Free Software Foundation; either version 2 of the License, or
+// (at your option) any later version.
+// 
+// This program is distributed in the hope that it will be useful,
+// but WITHOUT ANY WARRANTY; without even the implied warranty of
+// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+// GNU General Public License for more details.		
+// Visit http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
 //
 
Index: /trunk/Serial_Server/library/Process.cpp
===================================================================
--- /trunk/Serial_Server/library/Process.cpp	(revision 375)
+++ /trunk/Serial_Server/library/Process.cpp	(revision 376)
@@ -4,4 +4,20 @@
 //
 // File:        process.cpp - Processes commands received over the serial port
+//
+
+//
+// XTIDE Universal BIOS and Associated Tools 
+// Copyright (C) 2009-2010 by Tomi Tilli, 2011-2012 by XTIDE Universal BIOS Team.
+//
+// This program is free software; you can redistribute it and/or modify
+// it under the terms of the GNU General Public License as published by
+// the Free Software Foundation; either version 2 of the License, or
+// (at your option) any later version.
+// 
+// This program is distributed in the hope that it will be useful,
+// but WITHOUT ANY WARRANTY; without even the implied warranty of
+// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+// GNU General Public License for more details.		
+// Visit http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
 //
 
Index: /trunk/Serial_Server/library/Serial.cpp
===================================================================
--- /trunk/Serial_Server/library/Serial.cpp	(revision 375)
+++ /trunk/Serial_Server/library/Serial.cpp	(revision 376)
@@ -4,4 +4,20 @@
 //
 // File:        Serial.cpp - Generic functions for dealing with serial communications
+//
+
+//
+// XTIDE Universal BIOS and Associated Tools 
+// Copyright (C) 2009-2010 by Tomi Tilli, 2011-2012 by XTIDE Universal BIOS Team.
+//
+// This program is free software; you can redistribute it and/or modify
+// it under the terms of the GNU General Public License as published by
+// the Free Software Foundation; either version 2 of the License, or
+// (at your option) any later version.
+// 
+// This program is distributed in the hope that it will be useful,
+// but WITHOUT ANY WARRANTY; without even the implied warranty of
+// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+// GNU General Public License for more details.		
+// Visit http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
 //
 
Index: /trunk/Serial_Server/win32/Win32.cpp
===================================================================
--- /trunk/Serial_Server/win32/Win32.cpp	(revision 375)
+++ /trunk/Serial_Server/win32/Win32.cpp	(revision 376)
@@ -8,4 +8,20 @@
 // It also handles log reporting, timers, and command line parameter parsing.
 // 
+
+//
+// XTIDE Universal BIOS and Associated Tools 
+// Copyright (C) 2009-2010 by Tomi Tilli, 2011-2012 by XTIDE Universal BIOS Team.
+//
+// This program is free software; you can redistribute it and/or modify
+// it under the terms of the GNU General Public License as published by
+// the Free Software Foundation; either version 2 of the License, or
+// (at your option) any later version.
+// 
+// This program is distributed in the hope that it will be useful,
+// but WITHOUT ANY WARRANTY; without even the implied warranty of
+// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+// GNU General Public License for more details.		
+// Visit http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
+//
 
 #include <stdio.h>
Index: /trunk/Serial_Server/win32/Win32File.h
===================================================================
--- /trunk/Serial_Server/win32/Win32File.h	(revision 375)
+++ /trunk/Serial_Server/win32/Win32File.h	(revision 376)
@@ -10,4 +10,20 @@
 // These are also likely faster since they are more direct.
 // 
+
+//
+// XTIDE Universal BIOS and Associated Tools 
+// Copyright (C) 2009-2010 by Tomi Tilli, 2011-2012 by XTIDE Universal BIOS Team.
+//
+// This program is free software; you can redistribute it and/or modify
+// it under the terms of the GNU General Public License as published by
+// the Free Software Foundation; either version 2 of the License, or
+// (at your option) any later version.
+// 
+// This program is distributed in the hope that it will be useful,
+// but WITHOUT ANY WARRANTY; without even the implied warranty of
+// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+// GNU General Public License for more details.		
+// Visit http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
+//
 
 #include <windows.h>
Index: /trunk/Serial_Server/win32/Win32Serial.h
===================================================================
--- /trunk/Serial_Server/win32/Win32Serial.h	(revision 375)
+++ /trunk/Serial_Server/win32/Win32Serial.h	(revision 376)
@@ -4,4 +4,20 @@
 //
 // File:        Win32Serial.h - Microsoft Windows serial code
+//
+
+//
+// XTIDE Universal BIOS and Associated Tools 
+// Copyright (C) 2009-2010 by Tomi Tilli, 2011-2012 by XTIDE Universal BIOS Team.
+//
+// This program is free software; you can redistribute it and/or modify
+// it under the terms of the GNU General Public License as published by
+// the Free Software Foundation; either version 2 of the License, or
+// (at your option) any later version.
+// 
+// This program is distributed in the hope that it will be useful,
+// but WITHOUT ANY WARRANTY; without even the implied warranty of
+// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+// GNU General Public License for more details.		
+// Visit http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
 //
 
Index: /trunk/Tools/StringsCompress.pl
===================================================================
--- /trunk/Tools/StringsCompress.pl	(revision 375)
+++ /trunk/Tools/StringsCompress.pl	(revision 376)
@@ -9,4 +9,20 @@
 #                   use by DisplayFormatCompressed.asm.  See the header of that file
 #                   for a description of the compression scheme.
+#
+# XTIDE Universal BIOS and Associated Tools 
+# Copyright (C) 2009-2010 by Tomi Tilli, 2011-2012 by XTIDE Universal BIOS Team.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+# 
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.		
+# Visit http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
+#
+
 #
 # Usage         :   stdin:  Listing of strings.asm,
Index: /trunk/Tools/checksum.pl
===================================================================
--- /trunk/Tools/checksum.pl	(revision 375)
+++ /trunk/Tools/checksum.pl	(revision 376)
@@ -11,4 +11,20 @@
 #
 # On Windows, this file can be renamed to a batch file and invoked directly (for example, "c:\>checksum file size")
+#
+
+#
+# XTIDE Universal BIOS and Associated Tools 
+# Copyright (C) 2009-2010 by Tomi Tilli, 2011-2012 by XTIDE Universal BIOS Team.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+# 
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.		
+# Visit http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
 #
 
Index: /trunk/Tools/unused.pl
===================================================================
--- /trunk/Tools/unused.pl	(revision 375)
+++ /trunk/Tools/unused.pl	(revision 376)
@@ -11,4 +11,19 @@
 #   b) "; unused entrypoint ok" can be placed on the same line with the label
 #   c) "; jump table entrypoint" can be placed on the same line with the label
+#
+#
+# XTIDE Universal BIOS and Associated Tools 
+# Copyright (C) 2009-2010 by Tomi Tilli, 2011-2012 by XTIDE Universal BIOS Team.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+# 
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.		
+# Visit http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
 #
 
Index: /trunk/XTIDE_Universal_BIOS/Inc/ATA_ID.inc
===================================================================
--- /trunk/XTIDE_Universal_BIOS/Inc/ATA_ID.inc	(revision 375)
+++ /trunk/XTIDE_Universal_BIOS/Inc/ATA_ID.inc	(revision 376)
@@ -1,4 +1,21 @@
 ; Project name	:	XTIDE Universal BIOS
 ; Description	:	ATA Identify Drive information.
+
+;
+; XTIDE Universal BIOS and Associated Tools 
+; Copyright (C) 2009-2010 by Tomi Tilli, 2011-2012 by XTIDE Universal BIOS Team.
+;
+; This program is free software; you can redistribute it and/or modify
+; it under the terms of the GNU General Public License as published by
+; the Free Software Foundation; either version 2 of the License, or
+; (at your option) any later version.
+; 
+; This program is distributed in the hope that it will be useful,
+; but WITHOUT ANY WARRANTY; without even the implied warranty of
+; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+; GNU General Public License for more details.		
+; Visit http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
+;
+
 %ifndef ATA_ID_INC
 %define ATA_ID_INC
Index: /trunk/XTIDE_Universal_BIOS/Inc/BootMenu.inc
===================================================================
--- /trunk/XTIDE_Universal_BIOS/Inc/BootMenu.inc	(revision 375)
+++ /trunk/XTIDE_Universal_BIOS/Inc/BootMenu.inc	(revision 376)
@@ -1,4 +1,20 @@
 ; Project name	:	XTIDE Universal BIOS
 ; Description	:	Equates and structs used in Boot Menu.
+
+;
+; XTIDE Universal BIOS and Associated Tools 
+; Copyright (C) 2009-2010 by Tomi Tilli, 2011-2012 by XTIDE Universal BIOS Team.
+;
+; This program is free software; you can redistribute it and/or modify
+; it under the terms of the GNU General Public License as published by
+; the Free Software Foundation; either version 2 of the License, or
+; (at your option) any later version.
+; 
+; This program is distributed in the hope that it will be useful,
+; but WITHOUT ANY WARRANTY; without even the implied warranty of
+; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+; GNU General Public License for more details.		
+; Visit http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
+;
 
 %ifndef BOOTMENU_INC
Index: /trunk/XTIDE_Universal_BIOS/Inc/BootVars.inc
===================================================================
--- /trunk/XTIDE_Universal_BIOS/Inc/BootVars.inc	(revision 375)
+++ /trunk/XTIDE_Universal_BIOS/Inc/BootVars.inc	(revision 376)
@@ -2,4 +2,21 @@
 ; Description	:	Defines for BOOTVARS struct used by boot menu
 ;					and drive initialization.
+
+;
+; XTIDE Universal BIOS and Associated Tools 
+; Copyright (C) 2009-2010 by Tomi Tilli, 2011-2012 by XTIDE Universal BIOS Team.
+;
+; This program is free software; you can redistribute it and/or modify
+; it under the terms of the GNU General Public License as published by
+; the Free Software Foundation; either version 2 of the License, or
+; (at your option) any later version.
+; 
+; This program is distributed in the hope that it will be useful,
+; but WITHOUT ANY WARRANTY; without even the implied warranty of
+; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+; GNU General Public License for more details.		
+; Visit http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
+;
+
 %ifndef BOOTVARS_INC
 %define BOOTVARS_INC
Index: /trunk/XTIDE_Universal_BIOS/Inc/Controllers/Vision.inc
===================================================================
--- /trunk/XTIDE_Universal_BIOS/Inc/Controllers/Vision.inc	(revision 375)
+++ /trunk/XTIDE_Universal_BIOS/Inc/Controllers/Vision.inc	(revision 376)
@@ -5,4 +5,21 @@
 ;					Specifications can be found at http://www.ryston.cz/petr/vlb/vlbidechips.html
 ;					QD6580 DOS Driver Analysis: http://www.ryston.cz/petr/qd/dos37.html
+
+;
+; XTIDE Universal BIOS and Associated Tools 
+; Copyright (C) 2009-2010 by Tomi Tilli, 2011-2012 by XTIDE Universal BIOS Team.
+;
+; This program is free software; you can redistribute it and/or modify
+; it under the terms of the GNU General Public License as published by
+; the Free Software Foundation; either version 2 of the License, or
+; (at your option) any later version.
+; 
+; This program is distributed in the hope that it will be useful,
+; but WITHOUT ANY WARRANTY; without even the implied warranty of
+; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+; GNU General Public License for more details.		
+; Visit http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
+;
+
 %ifndef VISION_INC
 %define VISION_INC
Index: /trunk/XTIDE_Universal_BIOS/Inc/CustomDPT.inc
===================================================================
--- /trunk/XTIDE_Universal_BIOS/Inc/CustomDPT.inc	(revision 375)
+++ /trunk/XTIDE_Universal_BIOS/Inc/CustomDPT.inc	(revision 376)
@@ -2,4 +2,21 @@
 ; Description	:	Defines for DPT structs containing custom
 ;					Disk Parameter Table used by this BIOS.
+
+;
+; XTIDE Universal BIOS and Associated Tools 
+; Copyright (C) 2009-2010 by Tomi Tilli, 2011-2012 by XTIDE Universal BIOS Team.
+;
+; This program is free software; you can redistribute it and/or modify
+; it under the terms of the GNU General Public License as published by
+; the Free Software Foundation; either version 2 of the License, or
+; (at your option) any later version.
+; 
+; This program is distributed in the hope that it will be useful,
+; but WITHOUT ANY WARRANTY; without even the implied warranty of
+; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+; GNU General Public License for more details.		
+; Visit http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
+;
+
 %ifndef CUSTOMDPT_INC
 %define CUSTOMDPT_INC
Index: /trunk/XTIDE_Universal_BIOS/Inc/DeviceIDE.inc
===================================================================
--- /trunk/XTIDE_Universal_BIOS/Inc/DeviceIDE.inc	(revision 375)
+++ /trunk/XTIDE_Universal_BIOS/Inc/DeviceIDE.inc	(revision 376)
@@ -1,4 +1,21 @@
 ; Project name	:	XTIDE Universal BIOS
 ; Description	:	Device specific equates for IDE drives.
+
+;
+; XTIDE Universal BIOS and Associated Tools 
+; Copyright (C) 2009-2010 by Tomi Tilli, 2011-2012 by XTIDE Universal BIOS Team.
+;
+; This program is free software; you can redistribute it and/or modify
+; it under the terms of the GNU General Public License as published by
+; the Free Software Foundation; either version 2 of the License, or
+; (at your option) any later version.
+; 
+; This program is distributed in the hope that it will be useful,
+; but WITHOUT ANY WARRANTY; without even the implied warranty of
+; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+; GNU General Public License for more details.		
+; Visit http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
+;
+
 %ifndef DEVICEIDE_INC
 %define DEVICEIDE_INC
Index: /trunk/XTIDE_Universal_BIOS/Inc/EBIOS.inc
===================================================================
--- /trunk/XTIDE_Universal_BIOS/Inc/EBIOS.inc	(revision 375)
+++ /trunk/XTIDE_Universal_BIOS/Inc/EBIOS.inc	(revision 376)
@@ -1,4 +1,21 @@
 ; Project name	:	XTIDE Universal BIOS
 ; Description	:	Equates used in Enhanced INT 13h functions (EBIOS).
+
+;
+; XTIDE Universal BIOS and Associated Tools 
+; Copyright (C) 2009-2010 by Tomi Tilli, 2011-2012 by XTIDE Universal BIOS Team.
+;
+; This program is free software; you can redistribute it and/or modify
+; it under the terms of the GNU General Public License as published by
+; the Free Software Foundation; either version 2 of the License, or
+; (at your option) any later version.
+; 
+; This program is distributed in the hope that it will be useful,
+; but WITHOUT ANY WARRANTY; without even the implied warranty of
+; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+; GNU General Public License for more details.		
+; Visit http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
+;
+
 %ifndef EBIOS_INC
 %define EBIOS_INC
Index: /trunk/XTIDE_Universal_BIOS/Inc/IDE_8bit.inc
===================================================================
--- /trunk/XTIDE_Universal_BIOS/Inc/IDE_8bit.inc	(revision 375)
+++ /trunk/XTIDE_Universal_BIOS/Inc/IDE_8bit.inc	(revision 376)
@@ -2,4 +2,21 @@
 ; Description	:	Macros for accessing data port(s) on 8-bit
 ;					IDE controllers.
+
+;
+; XTIDE Universal BIOS and Associated Tools 
+; Copyright (C) 2009-2010 by Tomi Tilli, 2011-2012 by XTIDE Universal BIOS Team.
+;
+; This program is free software; you can redistribute it and/or modify
+; it under the terms of the GNU General Public License as published by
+; the Free Software Foundation; either version 2 of the License, or
+; (at your option) any later version.
+; 
+; This program is distributed in the hope that it will be useful,
+; but WITHOUT ANY WARRANTY; without even the implied warranty of
+; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+; GNU General Public License for more details.		
+; Visit http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
+;
+
 %ifndef IDE_8BIT_INC
 %define IDE_8BIT_INC
Index: /trunk/XTIDE_Universal_BIOS/Inc/IdeRegisters.inc
===================================================================
--- /trunk/XTIDE_Universal_BIOS/Inc/IdeRegisters.inc	(revision 375)
+++ /trunk/XTIDE_Universal_BIOS/Inc/IdeRegisters.inc	(revision 376)
@@ -1,4 +1,21 @@
 ; Project name	:	XTIDE Universal BIOS
 ; Description	:	Equates for IDE registers, flags and commands.
+
+;
+; XTIDE Universal BIOS and Associated Tools 
+; Copyright (C) 2009-2010 by Tomi Tilli, 2011-2012 by XTIDE Universal BIOS Team.
+;
+; This program is free software; you can redistribute it and/or modify
+; it under the terms of the GNU General Public License as published by
+; the Free Software Foundation; either version 2 of the License, or
+; (at your option) any later version.
+; 
+; This program is distributed in the hope that it will be useful,
+; but WITHOUT ANY WARRANTY; without even the implied warranty of
+; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+; GNU General Public License for more details.		
+; Visit http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
+;
+
 %ifndef IDEREGISTERS_INC
 %define IDEREGISTERS_INC
Index: /trunk/XTIDE_Universal_BIOS/Inc/Int13h.inc
===================================================================
--- /trunk/XTIDE_Universal_BIOS/Inc/Int13h.inc	(revision 375)
+++ /trunk/XTIDE_Universal_BIOS/Inc/Int13h.inc	(revision 376)
@@ -1,4 +1,21 @@
 ; Project name	:	XTIDE Universal BIOS
 ; Description	:	Equates used in INT 13h functions.
+
+;
+; XTIDE Universal BIOS and Associated Tools 
+; Copyright (C) 2009-2010 by Tomi Tilli, 2011-2012 by XTIDE Universal BIOS Team.
+;
+; This program is free software; you can redistribute it and/or modify
+; it under the terms of the GNU General Public License as published by
+; the Free Software Foundation; either version 2 of the License, or
+; (at your option) any later version.
+; 
+; This program is distributed in the hope that it will be useful,
+; but WITHOUT ANY WARRANTY; without even the implied warranty of
+; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+; GNU General Public License for more details.		
+; Visit http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
+;
+
 %ifndef INT13H_INC
 %define INT13H_INC
Index: /trunk/XTIDE_Universal_BIOS/Inc/IntController.inc
===================================================================
--- /trunk/XTIDE_Universal_BIOS/Inc/IntController.inc	(revision 375)
+++ /trunk/XTIDE_Universal_BIOS/Inc/IntController.inc	(revision 376)
@@ -1,4 +1,21 @@
 ; Project name	:	XTIDE Universal BIOS
 ; Description	:	Equates for 8259 Interrupt Controllers.
+
+;
+; XTIDE Universal BIOS and Associated Tools 
+; Copyright (C) 2009-2010 by Tomi Tilli, 2011-2012 by XTIDE Universal BIOS Team.
+;
+; This program is free software; you can redistribute it and/or modify
+; it under the terms of the GNU General Public License as published by
+; the Free Software Foundation; either version 2 of the License, or
+; (at your option) any later version.
+; 
+; This program is distributed in the hope that it will be useful,
+; but WITHOUT ANY WARRANTY; without even the implied warranty of
+; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+; GNU General Public License for more details.		
+; Visit http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
+;
+
 %ifndef INT_CONTROLLER_INC
 %define INT_CONTROLLER_INC
Index: /trunk/XTIDE_Universal_BIOS/Inc/RamVars.inc
===================================================================
--- /trunk/XTIDE_Universal_BIOS/Inc/RamVars.inc	(revision 375)
+++ /trunk/XTIDE_Universal_BIOS/Inc/RamVars.inc	(revision 376)
@@ -1,4 +1,21 @@
 ; Project name	:	XTIDE Universal BIOS
 ; Description	:	RAMVARS struct containing BIOS variables stored in RAM.
+
+;
+; XTIDE Universal BIOS and Associated Tools 
+; Copyright (C) 2009-2010 by Tomi Tilli, 2011-2012 by XTIDE Universal BIOS Team.
+;
+; This program is free software; you can redistribute it and/or modify
+; it under the terms of the GNU General Public License as published by
+; the Free Software Foundation; either version 2 of the License, or
+; (at your option) any later version.
+; 
+; This program is distributed in the hope that it will be useful,
+; but WITHOUT ANY WARRANTY; without even the implied warranty of
+; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+; GNU General Public License for more details.		
+; Visit http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
+;
+
 %ifndef RAMVARS_INC
 %define RAMVARS_INC
Index: /trunk/XTIDE_Universal_BIOS/Inc/RomVars.inc
===================================================================
--- /trunk/XTIDE_Universal_BIOS/Inc/RomVars.inc	(revision 375)
+++ /trunk/XTIDE_Universal_BIOS/Inc/RomVars.inc	(revision 376)
@@ -2,4 +2,21 @@
 ; Description	:	Defines for ROMVARS struct containing variables stored
 ;					in BIOS ROM.
+
+;
+; XTIDE Universal BIOS and Associated Tools 
+; Copyright (C) 2009-2010 by Tomi Tilli, 2011-2012 by XTIDE Universal BIOS Team.
+;
+; This program is free software; you can redistribute it and/or modify
+; it under the terms of the GNU General Public License as published by
+; the Free Software Foundation; either version 2 of the License, or
+; (at your option) any later version.
+; 
+; This program is distributed in the hope that it will be useful,
+; but WITHOUT ANY WARRANTY; without even the implied warranty of
+; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+; GNU General Public License for more details.		
+; Visit http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
+;
+
 %ifndef ROMVARS_INC
 %define ROMVARS_INC
Index: /trunk/XTIDE_Universal_BIOS/Inc/Version.inc
===================================================================
--- /trunk/XTIDE_Universal_BIOS/Inc/Version.inc	(revision 375)
+++ /trunk/XTIDE_Universal_BIOS/Inc/Version.inc	(revision 376)
@@ -2,4 +2,20 @@
 ; Project name	:	XTIDE Universal BIOS
 ; Description	:	Version information.
+
+;
+; XTIDE Universal BIOS and Associated Tools 
+; Copyright (C) 2009-2010 by Tomi Tilli, 2011-2012 by XTIDE Universal BIOS Team.
+;
+; This program is free software; you can redistribute it and/or modify
+; it under the terms of the GNU General Public License as published by
+; the Free Software Foundation; either version 2 of the License, or
+; (at your option) any later version.
+; 
+; This program is distributed in the hope that it will be useful,
+; but WITHOUT ANY WARRANTY; without even the implied warranty of
+; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+; GNU General Public License for more details.		
+; Visit http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
+;
 
 ;--------------------------------------------------------------------------------
